Subject: RE: [Sip] Is Retry-After:0 valid?

From: [email-masked]
Date: Mon, 19 Jan 2004 11:45:48 +0200

I don't see why it would be disallowed. It is certainly valid and says to retry immediately (after 0 seconds).

I guess the second quote can have the word "inclusive" added.

Regards,
Hisham

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of ext
> Brett Tate
> Sent: 17.January.2004 02:14
> To: sip-ietf (E-mail)
> Subject: [Sip] Is Retry-After:0 valid?
> 
> 
> (Trying the sip list because I did not
> receive any reply concerning my 
> sip-implementors posting...)
> 
> 
> Is 0 a valid value for the retry-after header?
> 
> I assume that it is; and the bnf allows it.
> However I guess that it depends upon the meaning 
> of "positive" in section 20.33 and if the 
> "between" statement of section 14.2 is inclusive.
> 
> RFC3261 section 20.33 mentions the following:
>  "The value of this field is a positive integer
>   number of seconds (in decimal) after the time 
>   of the response."
> 
> RFC3261 section 14.2 mentions the following:
>  "MUST include a Retry-After header field with a
>   randomly chosen value of between 0 and 10 seconds."
> 
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Jonathan Rosenberg <[email-masked]>
Date: Thu, 22 Jan 2004 10:52:25 -0500

Yes, its valid. However the text is incorrect, since formally, 
"positive" most definitely does NOT include zero (see 
http://en2.wikipedia.org/wiki/Positive_number).

I've logged this in bugzilla:
http://bugs.sipit.net/sipwg/show_bug.cgi?id=746

-Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
Chief Technology Officer                    Parsippany, NJ 07054-2711
dynamicsoft
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com